local LIB_AceAddon = LibStub("AceAddon-3.0") or error("Required library AceAddon-3.0 not found")
local Hermes = LibStub("AceAddon-3.0"):GetAddon("Hermes")
local MODNAME = "HermesSCT"
local HermesSCT = Hermes:NewModule(MODNAME)

local SCT = nil

function HermesSCT:OnEnable()
	SCT = LIB_AceAddon:GetAddon("SCT", true)
end

function HermesSCT:OnDisable()

end

function HermesSCT:OnInitialize()
	self:SetEnabledState(false)
end

function HermesSCT:SendNotReadyMessage(playerName, senderName, trackerName, trackerIcon, trackerClass)
	if(SCT and SCT:IsEnabled() and playerName ~= senderName) then
		--SCT:DisplayMessage(trackerName.." (|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r|TInterface\\RAIDFRAME\\ReadyCheck-NotReady.blp:0:0:0:0|t)", {1, 1, 1, 1}, trackerIcon)
		SCT:DisplayMessage("|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r (|T"..trackerIcon..":0:0:0:0|t"..trackerName..")", {1, 1, 1, 1}, "Interface\\RAIDFRAME\\ReadyCheck-NotReady.blp")
	end
end

function HermesSCT:SendReadyMessage(playerName, senderName, trackerName, trackerIcon, trackerClass)
	if(SCT and SCT:IsEnabled() and playerName ~= senderName) then
		--SCT:DisplayMessage(trackerName.." (|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r|TInterface\\RAIDFRAME\\ReadyCheck-Ready.blp:0:0:0:0|t)", {1, 1, 1, 1}, trackerIcon)
		SCT:DisplayMessage("|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r (|T"..trackerIcon..":0:0:0:0|t"..trackerName..")", {1, 1, 1, 1}, "Interface\\RAIDFRAME\\ReadyCheck-Ready.blp")
	end
end